API ReferenceOrders
Orders Fulfillments Retrieve
Retrieve order fulfillments.
Authorization
oauth2 orders:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: orders:read
Path Parameters
number*Order number
Header Parameters
X-29next-API-Version*"2024-04-01"
Default
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X GET "https://example.com/orders/string/fulfillments/" \ -H "X-29next-API-Version: 2024-04-01"{ "created_at": "2019-08-24T14:15:22Z", "delivered_at": "2019-08-24T14:15:22Z", "delivery_status": null, "id": 0, "last_event_date": "2019-08-24T14:15:22Z", "line_items": [ { "currency": "string", "fulfilled_quantity": "string", "fulfillment_service": "string", "id": 0, "order_line_id": 0, "price_excl_tax": "string", "price_incl_tax": "string", "product_id": 0, "product_image": "http://example.com", "product_title": "string", "properties": [ { "key": "string", "value": null } ], "quantity": 0, "requires_shipping": true, "returnable_quantity": "string", "returned_quantity": "string", "sku": "string", "tax_lines": [ { "amount": "string", "currency": "string", "rate": 0.1, "report_values": { "amount": "string", "currency": "string" }, "source": "string", "tax_id": 0, "tax_title": "string" } ], "total_discount": "string" } ], "location_id": 0, "order_number": "string", "origin_address": { "country": "string", "line1": "string", "line2": "string", "line3": "string", "line4": "string", "phone_number": "string", "postcode": "string", "state": "string" }, "processing_at": "2019-08-24T14:15:22Z", "requires_shipping": true, "shipping_method": "string", "status": "success", "tracking_carrier": "string", "tracking_carriers": "string", "tracking_code": "string", "tracking_codes": "string", "tracking_link": "string", "tracking_links": "http://example.com"}